package de.ozgcloud.eingang.xta;

import static de.ozgcloud.eingang.xta.XtaMessageTestFactory.*;

import org.w3._2005._08.addressing.AttributedURIType;

import eu.osci.ws._2014._10.transport.MessageMetaData;
import eu.osci.ws._2014._10.transport.MsgIdentificationType;

class MessageMetaDataTestFactory {

	static MessageMetaData create() {
		var result = new MessageMetaData();
		var identification = new MsgIdentificationType();
		var uri = new AttributedURIType();
		uri.setValue(MESSAGE_ID.toString());
		identification.setMessageID(uri);
		result.setMsgIdentification(identification);

		return result;
	}
}
